Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api.tasks.testing
Enum ForkMode

    java.lang.Object
      java.lang.Enum<ForkMode>
          org.gradle.api.tasks.testing.ForkMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ForkMode>

    public enum ForkMode

extends java.lang.Enum<ForkMode>

Enum Constant Summary
`ONCE`
`PER_TEST`

Method Summary
`java.lang.String` | `toString()`
`static ForkMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ForkMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PER_TEST

    public static final ForkMode PER_TEST

### ONCE

    public static final ForkMode ONCE

Method Detail

### values

    public static final ForkMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ForkMode c : ForkMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ForkMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ForkMode>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD